cURL
curl --request POST \ --url https://chat.api.toolzz.com.br/api/v1/bot \ --header 'Content-Type: application/json' \ --data ' { "unityId": "<string>", "name": "<string>", "description": "<string>", "tags": "<string>", "prompt": "<string>", "iconFileId": "<string>", "model": "<string>", "credentialId": "<string>", "safeMode": true, "messagesLimit": 123, "charactersLimit": 123, "isAdvancedBot": true, "temperature": 123, "topP": 123, "presencePenalty": 123, "frequencyPenalty": 123, "topK": 123, "messagesQuery": 123, "hasPlugins": true, "hasTools": true, "hasWhatsapp": true, "hasMulti": true, "hasInstagram": true, "hasMessenger": true, "hasAnalytics": true, "hasMonetization": true, "hasVoice": true, "genAIOrganization": "<string>", "analyticsCredentialId": "<string>", "folder": [ "<string>" ] } '
{ "id": "<string>", "name": "<string>", "prompt": "<string>", "metaprompt": "<string>", "description": "<string>", "folders": [ {} ], "plugins": [ {} ], "botGenAI": [ { "isDefault": true, "messagesLimit": 123, "charactersLimit": 123, "temperature": 123, "topP": 123, "frequencyPenalty": 123, "presencePenalty": 123, "topK": 123, "messagesQuery": 123, "id": "<string>", "botId": "<string>", "genAIId": "<string>", "genAIKey": "<string>", "genAIOrganization": "<string>", "genAIModelId": "<string>", "assistantId": "<string>", "credentialId": "<string>", "analyticsCredentialId": "<string>", "model": "<string>", "tools": [ {} ], "whatsappCredentialId": "<string>", "instagramCredentialId": "<string>", "messengerCredentialId": "<string>", "messengerCredential": { "integration": {} }, "genAIModel": {}, "genAI": {}, "instagramCredential": { "integration": {} }, "analyticsCredential": { "integration": {} }, "whatsappCredential": { "integration": {} }, "credential": { "status": true, "id": "<string>", "name": "<string>", "userId": "<string>", "unityId": "<string>", "integrationId": "<string>", "secretId": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "virtualKey": "<string>", "integration": { "status": true, "id": "<string>", "name": "<string>", "type": "<string>", "form": [ { "name": "<string>", "type": "<string>", "label": "<string>", "maxLenght": "<string>", "required": true } ], "createdAt": "<string>", "updatedAt": "<string>", "iconId": "<string>", "validationEndpoint": "<string>", "slug": "<string>", "icon": { "id": "<string>", "institutionId": "<string>", "type": "<string>", "fileName": "<string>", "internalStorageUrl": "<string>", "url": "<string>", "maskName": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "extension": "<string>", "size": 123, "numberWords": 123 } } } } ], "assistantId": "<string>", "IconFile": {}, "tags": [ {} ], "unityId": "<string>", "progressStatus": "<string>", "safeMode": true, "institutionId": "<string>", "isActivated": true, "botMonetization": {}, "hasMonetization": true, "hasAnalytics": true, "hasMulti": true, "isAdvancedBot": true, "hasTools": true, "hasVoice": true, "botVoiceConfig": [ {} ], "hasPlugins": true, "hasWhatsapp": true, "hasInstagram": true, "hasMessenger": true, "botMultiAgents": [ {} ], "favorites": [ {} ], "botFallBack": [ {} ] }
Endpoint para criar um Agente
Show BotGenAI properties
Show Messenger credential properties
Show Instagram credential properties
Show Analytics credential properties
Show Whatsapp credential properties
Show Credential properties
Show Integration properties
Show Form properties
Show Icon properties